GLS ShipIT 5.0.11 GLS ShipIT - SOAP services

Public Member Functions | Protected Attributes | List of all members
eu.glsgroup.fpcs.datatypes.soap.v1.tracking.PODItem Class Reference

## Public Member Functions
String | getTrackID ()
void | setTrackID (String value)
byte [] | getImageData ()
void | setImageData (byte[] value)

## Protected Attributes
String | trackID
byte [] | imageData

## Detailed Description

Proof of delivery attributes (of a tracked item)

Java class for PODItem complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType name="PODItem">
      <complexContent>
        <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
          <sequence>
            <element name="TrackID" type="{http://fpcs.gls-group.eu/v1/Common}ReferenceNumber"/>
            <element name="ImageData" type="{http://www.w3.org/2001/XMLSchema}base64Binary"/>
          </sequence>
        </restriction>
      </complexContent>
    </complexType>

Definition at line 38 of file tracking/PODItem.java.

## Member Function Documentation

## ◆ getImageData()

byte [] eu.glsgroup.fpcs.datatypes.soap.v1.tracking.PODItem.getImageData | ( |  | ) |

Gets the value of the imageData property.

Returns
  possible object is byte[]

Definition at line 76 of file tracking/PODItem.java.

## ◆ getTrackID()

String eu.glsgroup.fpcs.datatypes.soap.v1.tracking.PODItem.getTrackID | ( |  | ) |

Gets the value of the trackID property.

Returns
  possible object is String

Definition at line 53 of file tracking/PODItem.java.

## ◆ setImageData()

void eu.glsgroup.fpcs.datatypes.soap.v1.tracking.PODItem.setImageData | ( | byte [] | value | ) |

Sets the value of the imageData property.

Parameters

  value | allowed object is byte[]

Definition at line 87 of file tracking/PODItem.java.

## ◆ setTrackID()

void eu.glsgroup.fpcs.datatypes.soap.v1.tracking.PODItem.setTrackID | ( | String | value | ) |

Sets the value of the trackID property.

Parameters

  value | allowed object is String

Definition at line 65 of file tracking/PODItem.java.

## Member Data Documentation

## ◆ imageData

byte [] eu.glsgroup.fpcs.datatypes.soap.v1.tracking.PODItem.imageData
| protected

Definition at line 43 of file tracking/PODItem.java.

## ◆ trackID

String eu.glsgroup.fpcs.datatypes.soap.v1.tracking.PODItem.trackID
| protected

Definition at line 41 of file tracking/PODItem.java.

The documentation for this class was generated from the following file:

- tracking/PODItem.java